import {RequestDecorator} from '../../../../common';

const METHOD_SPOOF_HEADER_NAME = 'x-original-method' as const;
const METHOD_SPOOF_ORIGINAL_METHOD = 'POST' as const;
const WHITELISTED_METHODS = [
	'QUERY'
] as const;

export const decorateRequestWithMethod: RequestDecorator = (req) => {
	req.method = req.method?.trim().toUpperCase() ?? '';
	if (req.method === METHOD_SPOOF_ORIGINAL_METHOD) {
		const spoofedMethod = req.headers[METHOD_SPOOF_HEADER_NAME];
		if (Array.isArray(spoofedMethod)) {
			return req;
		}
		const whitelistedMethod = WHITELISTED_METHODS.find((s) => s === spoofedMethod);

		if (typeof whitelistedMethod === 'string') {
			req.method = whitelistedMethod;
		}
	}

	return req;
};
