import { Language } from '@modal-sh/yasumi';

export default {
	name: 'tl' as const,
	statusMessages: {
		unableToSerializeResponse: 'Hindi Maitala ang Tugon',
		unableToEncodeResponse: 'Hindi Ma-Encode ang Tugon',
		unableToBindResourceDataSource: 'Hindi Ma-bind ang $RESOURCE na Pinagmulan ng Datos',
		unableToInitializeResourceDataSource: 'Hindi Ma-initialize ang $RESOURCE na Pinagmulan ng Datos',
		unableToFetchResourceCollection: 'Hindi Ma-fetch ang $RESOURCE Collection',
		unableToFetchResource: 'Hindi Ma-fetch ang $RESOURCE',
		unableToDeleteResource: 'Hindi Ma-delete ang $RESOURCE',
		languageNotAcceptable: 'Hindi Tinatanggap ang Wika',
		characterSetNotAcceptable: 'Hindi Tinatanggap ang Set ng mga Titik',
		unableToDeserializeResource: 'Hindi Ma-deserialize ang $RESOURCE',
		unableToDecodeResource: 'Hindi Ma-decode ang $RESOURCE',
		mediaTypeNotAcceptable: 'Hindi Tinatanggap ang Uri ng Media',
		methodNotAllowed: 'Bawal ang Paraang Ginamit',
		urlNotFound: 'Hindi Nahanap ang URL',
		badRequest: 'Maling Paghiling',
		ok: 'OK',
		provideOptions: 'Magbigay ng mga Pagpipilian',
		resourceCollectionFetched: 'Nakuha ang $RESOURCE Collection',
		resourceFetched: 'Nakuha ang $RESOURCE',
		resourceNotFound: 'Hindi Nahanap ang $RESOURCE',
		deleteNonExistingResource: 'I-delete ang Nawawalang $RESOURCE',
		resourceDeleted: 'Na-delete ang $RESOURCE',
		unableToDeserializeRequest: 'Hindi Ma-deserialize ang Hiling',
		patchNonExistingResource: 'I-patch ang Nawawalang $RESOURCE',
		unableToPatchResource: 'Hindi Ma-patch ang $RESOURCE',
		invalidResourcePatch: 'Maling Patak ng $RESOURCE',
		invalidResourcePatchType: 'Maling Uri ng Patak ng $RESOURCE',
		invalidResource: 'Maling $RESOURCE',
		resourcePatched: 'Na-patch ang $RESOURCE',
		resourceCreated: 'Na-gawa ang $RESOURCE',
		resourceReplaced: 'Naipalit ang $RESOURCE',
		unableToGenerateIdFromResourceDataSource: 'Hindi Makagawa ng ID Mula sa Pinagmulang Data Source ng $RESOURCE',
		unableToAssignIdFromResourceDataSource: 'Hindi Makapaglagay ng ID Mula sa Pinagmulang Data Source ng $RESOURCE',
		unableToEmplaceResource: 'Hindi Ma-emplace ang $RESOURCE',
		resourceIdNotGiven: 'Hindi Ibinigay ang ID ng $RESOURCE',
		unableToCreateResource: 'Hindi Makagawa ng $RESOURCE',
		notImplemented: 'Hindi Pa Na-implement',
		internalServerError: 'Internal Server Error',
	},
	bodies: {
		badRequest: [
			'Isang maling hiling ang naipadala.',
			[
				'Kumpirmahin kung mayroon ang hiling na katawan ng lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung mayroon lang ang hiling na katawan ng mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
				'Kumpirmahin kung ang hiling ay naaangkop para sa endpoint na ito.',
			],
		],
		languageNotAcceptable: [
			'Hindi kayang i-proseso ng server ang isang tugon na angkop para sa kinakailangang wika ng kliyente.',
			[
				'Pumili mula sa mga available na wika sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		characterSetNotAcceptable: [
			'Hindi kayang i-proseso ng server ang isang tugon na angkop para sa kinakailangang set ng mga titik ng kliyente.',
			[
				'Pumili mula sa mga available na set ng mga titik sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		mediaTypeNotAcceptable: [
			'Hindi kayang i-proseso ng server ang isang tugon na angkop para sa kinakailangang uri ng media ng kliyente.',
			[
				'Pumili mula sa mga available na uri ng media sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		deleteNonExistingResource: [
			'Sinubukan ng kliyente na i-delete ang isang pinagmulang hindi umiiral na resource.',
			[
				'Siguruhing umiiral pa rin ang pinagmulan.',
				'Siguruhing ang tamang paraan ng pagsasaad ay ibinigay.',
			],
		],
		internalServerError: [
			'May hindi kilalang error na nangyari sa loob ng serbisyo.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator kung nananatili ang serbisyo sa isang degradadong o hindi gumagana na kalagayan.',
			],
		],
		invalidResource: [
			'Ang hiling ay may maling estruktura o kulang sa ilang mga attribute.',
			[
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
			],
		],
		invalidResourcePatch: [
			'Ang hiling ay may maling patch data.',
			[
				'Kumpirmahin kung ang tamang uri ng patch ay tinukoy sa datos ng hiling.',
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
			],
		],
		invalidResourcePatchType: [
			'Ang hiling ay may mali o hindi suportadong uri ng patch data.',
			[
				'Kumpirmahin kung ang tamang uri ng patch ay tinukoy sa datos ng hiling.',
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
			],
		],
		methodNotAllowed: [
			'Isang hiling na may maling o hindi suportadong paraan ang ginawa.',
			[
				'Kumpirmahin kung ang paraang ginamit sa hiling ay naaangkop para sa endpoint na ito.',
				'Kumpirmahin kung ang kliyente ay awtorisado na magawa ang paraang ito sa endpoint na ito.',
			]
		],
		notImplemented: [
			'Wala pang implementasyon ang serbisyo para sa inaksyunang endpoint.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator kung nananatili ang serbisyo sa isang degradadong o hindi gumagana na kalagayan.',
			],
		],
		patchNonExistingResource: [
			'Subukan ng kliyente na i-patch ang isang pinagmulang hindi umiiral na resource.',
			[
				'Siguruhing umiiral pa rin ang pinagmulan.',
				'Siguruhing ang tamang paraan ng pagsasaad ay ibinigay.',
			],
		],
		resourceIdNotGiven: [
			'Hindi ibinigay ang ID ng pinagmulang resource para sa inaksyunang endpoint.',
			[
				'Kumpirmahin kung ibinigay at wasto ang ID ng pinagmulang sa URL.',
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
			],
		],
		unableToAssignIdFromResourceDataSource: [
			'Hindi ma-assign ang ID mula sa kaugnay na pinagmulang pinagmulan ng datos ng resource.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToBindResourceDataSource: [
			'Hindi ma-bind ang pinagmulan ng datos mula sa resource.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToCreateResource: [
			'Nagkaroon ng error sa paggawa ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToDecodeResource: [
			'Hindi ma-decode ang byte array ng resource para sa ibinigay na set ng mga titik.',
			[
				'Pumili mula sa mga available na set ng mga titik sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		unableToDeleteResource: [
			'Nagkaroon ng error sa pag-delete ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToDeserializeRequest: [
			'Hindi ma-deserialize ang decoded na byte array ng hiling para sa ibinigay na uri ng media.',
			[
				'Pumili mula sa mga available na uri ng media sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		unableToDeserializeResource: [
			'Hindi ma-deserialize ang decoded na resource para sa ibinigay na uri ng media.',
			[
				'Pumili mula sa mga available na uri ng media sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		unableToEmplaceResource: [
			'Nagkaroon ng error sa pag-e-emplace ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToEncodeResponse: [
			'Hindi ma-encode ang datos ng tugon para sa ibinigay na set ng mga titik.',
			[
				'Pumili mula sa mga available na set ng mga titik sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		unableToFetchResource: [
			'Nagkaroon ng error sa pag-fetch ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToFetchResourceCollection: [
			'Nagkaroon ng error sa pag-fetch ng koleksyon ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToGenerateIdFromResourceDataSource: [
			'Ang kaugnay na pinagmulang pinagmulan ng datos para sa resource ay hindi makapag-produce ng ID.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToInitializeResourceDataSource: [
			'Ang kaugnay na pinagmulang pinagmulan ng datos para sa resource ay hindi ma-connect para sa paggamit.',
			[
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToPatchResource: [
			'Nagkaroon ng error sa pag-patch ng resource.',
			[
				'Kumpirmahin kung ang paraang hiling ay naaangkop para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lahat ng kinakailangang mga attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay may lamang mga tamang attribute para sa endpoint na ito.',
				'Kumpirmahin kung ang katawan ng hiling ay tugma sa schema para sa pinagmulang pinagmulan ng endpoint na ito.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		unableToSerializeResponse: [
			'Hindi ma-serialize ang datos ng tugon para sa ibinigay na uri ng media.',
			[
				'Pumili mula sa mga available na uri ng media sa serbisyong ito.',
				'Makipag-ugnayan sa administrator upang magbigay ng lokal na pagsasalin para sa mga kinakailangang pangangailangan ng kliyente.',
			],
		],
		urlNotFound: [
			'Hindi nahanap ang isang endpoint sa ibinigay na URL.',
			[
				'Kumpirmahin kung ang URL ng hiling ay tama.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
		resourceNotFound: [
			'Hindi nahanap ang resource sa ibinigay na URL.',
			[
				'Kumpirmahin kung ang URL ng hiling ay tama.',
				'Subukang muli ang hiling mamaya.',
				'Makipag-ugnayan sa administrator tungkol sa mga nawawalang kongfigurasyon o kawalan ng kagamitan.',
			],
		],
	},
} satisfies Language;
